#include <tchar.h>

static const LPCTSTR WM_MESSAGE_STRINGS[] = {
	TEXT("WM_NULL"),
	TEXT("WM_CREATE"),
	TEXT("WM_DESTROY"),
	TEXT("WM_MOVE"),
	TEXT("WM_SIZEWAIT"),
	TEXT("WM_SIZE"),
	TEXT("WM_ACTIVATE"),
	TEXT("WM_SETFOCUS"),
	TEXT("WM_KILLFOCUS"),
	TEXT("WM_SETVISIBLE"),
	TEXT("WM_ENABLE"),
	TEXT("WM_SETREDRAW"),
	TEXT("WM_SETTEXT"),
	TEXT("WM_GETTEXT"),
	TEXT("WM_GETTEXTLENGTH"),
	TEXT("WM_PAINT"),
	TEXT("WM_CLOSE"),
	TEXT("WM_QUERYENDSESSION"),
	TEXT("WM_QUIT"),
	TEXT("WM_QUERYOPEN"),
	TEXT("WM_ERASEBKGND"),
	TEXT("WM_SYSCOLORCHANGE"),
	TEXT("WM_ENDSESSION"),
	TEXT("WM_SYSTEMERROR"),
	TEXT("WM_SHOWWINDOW"),
	TEXT("WM_CTLCOLOR"),
	TEXT("WM_WININICHANGE"),
	TEXT("WM_DEVMODECHANGE"),
	TEXT("WM_ACTIVATEAPP"),
	TEXT("WM_FONTCHANGE"),
	TEXT("WM_TIMECHANGE"),
	TEXT("WM_CANCELMODE"),
	TEXT("WM_SETCURSOR"),
	TEXT("WM_MOUSEACTIVATE"),
	TEXT("WM_CHILDACTIVATE"),
	TEXT("WM_QUEUESYNC"),
	TEXT("WM_GETMINMAXINFO"),
	TEXT("WM_LOGOFF"),
	TEXT("WM_PAINTICON"),
	TEXT("WM_ICONERASEBKGND"),
	TEXT("WM_NEXTDLGCTL"),
	TEXT("WM_ALTTABACTIVE"),
	TEXT("WM_SPOOLERSTATUS"),
	TEXT("WM_DRAWITEM"),
	TEXT("WM_MEASUREITEM"),
	TEXT("WM_DELETEITEM"),
	TEXT("WM_VKEYTOITEM"),
	TEXT("WM_CHARTOITEM"),
	TEXT("WM_SETFONT"),
	TEXT("WM_GETFONT"),
	TEXT("WM_SETHOTKEY"),
	TEXT("WM_GETHOTKEY"),
	TEXT("WM_FILESYSCHANGE"),
	TEXT("WM_ISACTIVEICON"),
	TEXT("WM_QUERYPARKICON"),
	TEXT("WM_QUERYDRAGICON"),
	TEXT("WM_WINHELP"),
	TEXT("WM_COMPAREITEM"),
	TEXT("WM_FULLSCREEN"),
	TEXT("WM_CLIENTSHUTDOWN"),
	TEXT("WM_DDEMLEVENT"),
	TEXT("WM_GETOBJECT"),
	TEXT("<undefined>"),
	TEXT("MM_CALCSCROLL"),
	TEXT("WM_TESTING"),
	TEXT("WM_COMPACTING"),
	TEXT("WM_OTHERWINDOWCREATED"),
	TEXT("WM_OTHERWINDOWDESTROYED"),
	TEXT("WM_COMMNOTIFY"),
	TEXT("WM_MEDIASTATUSCHANGE"),
	TEXT("WM_WINDOWPOSCHANGING"),
	TEXT("WM_WINDOWPOSCHANGED"),
	TEXT("WM_POWER"),
	TEXT("WM_COPYGLOBALDATA"),
	TEXT("WM_COPYDATA"),
	TEXT("WM_CANCELJOURNAL"),
	TEXT("WM_LOGONNOTIFY"),
	TEXT("WM_KEYF1"),
	TEXT("WM_NOTIFY"),
	TEXT("WM_ACCESS_WINDOW"),
	TEXT("WM_INPUTLANGCHANGEREQUEST"),
	TEXT("WM_INPUTLANGCHANGE"),
	TEXT("WM_TCARD"),
	TEXT("WM_HELP"),
	TEXT("WM_USERCHANGED"),
	TEXT("WM_NOTIFYFORMAT"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_QM_ACTIVATE"),
	TEXT("WM_HOOK_DO_CALLBACK"),
	TEXT("WM_SYSCOPYDATA"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_FINALDESTROY"),
	TEXT("WM_MEASUREITEM_CLIENTDATA"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_CONTEXTMENU"),
	TEXT("WM_STYLECHANGING"),
	TEXT("WM_STYLECHANGED"),
	TEXT("WM_DISPLAYCHANGE"),
	TEXT("WM_GETICON"),
	TEXT("WM_SETICON"),
	TEXT("WM_NCCREATE"),
	TEXT("WM_NCDESTROY"),
	TEXT("WM_NCCALCSIZE"),
	TEXT("WM_NCHITTEST"),
	TEXT("WM_NCPAINT"),
	TEXT("WM_NCACTIVATE"),
	TEXT("WM_GETDLGCODE"),
	TEXT("WM_SYNCPAINT"),
	TEXT("WM_SYNCTASK"),
	TEXT("<undefined>"),
	TEXT("WM_KLUDGEMINRECT"),
	TEXT("WM_LPKDRAWSWITCHWND"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_UAHDESTROYWINDOW"),
	TEXT("WM_UAHDRAWMENU"),
	TEXT("WM_UAHDRAWMENUITEM"),
	TEXT("WM_UAHINITMENU"),
	TEXT("WM_UAHMEASUREMENUITEM"),
	TEXT("WM_UAHNCPAINTMENUPOPUP"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_NCMOUSEMOVE"),
	TEXT("WM_NCLBUTTONDOWN"),
	TEXT("WM_NCLBUTTONUP"),
	TEXT("WM_NCLBUTTONDBLCLK"),
	TEXT("WM_NCRBUTTONDOWN"),
	TEXT("WM_NCRBUTTONUP"),
	TEXT("WM_NCRBUTTONDBLCLK"),
	TEXT("WM_NCMBUTTONDOWN"),
	TEXT("WM_NCMBUTTONUP"),
	TEXT("WM_NCMBUTTONDBLCLK"),
	TEXT("<undefined>"),
	TEXT("WM_NCXBUTTONDOWN"),
	TEXT("WM_NCXBUTTONUP"),
	TEXT("WM_NCXBUTTONDBLCLK"),
	TEXT("WM_NCUAHDRAWCAPTION"),
	TEXT("WM_NCUAHDRAWFRAME"),
	TEXT("EM_GETSEL"),
	TEXT("EM_SETSEL"),
	TEXT("EM_GETRECT"),
	TEXT("EM_SETRECT"),
	TEXT("EM_SETRECTNP"),
	TEXT("EM_SCROLL"),
	TEXT("EM_LINESCROLL"),
	TEXT("EM_SCROLLCARET"),
	TEXT("EM_GETMODIFY"),
	TEXT("EM_SETMODIFY"),
	TEXT("EM_GETLINECOUNT"),
	TEXT("EM_LINEINDEX"),
	TEXT("EM_SETHANDLE"),
	TEXT("EM_GETHANDLE"),
	TEXT("EM_GETTHUMB"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("EM_LINELENGTH"),
	TEXT("EM_REPLACESEL"),
	TEXT("EM_SETFONT"),
	TEXT("EM_GETLINE"),
	TEXT("EM_LIMITTEXT"),
	TEXT("EM_CANUNDO"),
	TEXT("EM_UNDO"),
	TEXT("EM_FMTLINES"),
	TEXT("EM_LINEFROMCHAR"),
	TEXT("EM_SETWORDBREAK"),
	TEXT("EM_SETTABSTOPS"),
	TEXT("EM_SETPASSWORDCHAR"),
	TEXT("EM_EMPTYUNDOBUFFER"),
	TEXT("EM_GETFIRSTVISIBLELINE"),
	TEXT("EM_SETREADONLY"),
	TEXT("EM_SETWORDBREAKPROC"),
	TEXT("EM_GETWORDBREAKPROC"),
	TEXT("EM_GETPASSWORDCHAR"),
	TEXT("EM_SETMARGINS"),
	TEXT("EM_GETMARGINS"),
	TEXT("EM_POSFROMCHAR"),
	TEXT("EM_CHARFROMPOS"),
	TEXT("EM_CHARFROMPOS"),
	TEXT("EM_SETIMESTATUS"),
	TEXT("EM_GETIMESTATUS"),
	TEXT("EM_MSGMAX"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("SBM_SETPOS"),
	TEXT("SBM_GETPOS"),
	TEXT("SBM_SETRANGE"),
	TEXT("SBM_GETRANGE"),
	TEXT("SBM_ENABLE_ARROWS"),
	TEXT("<undefined>"),
	TEXT("SBM_SETRANGEREDRAW"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("SBM_SETSCROLLINFO"),
	TEXT("SBM_GETSCROLLINFO"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("BM_GETCHECK"),
	TEXT("BM_SETCHECK"),
	TEXT("BM_GETSTATE"),
	TEXT("BM_SETSTATE"),
	TEXT("BM_SETSTYLE"),
	TEXT("BM_CLICK"),
	TEXT("BM_GETIMAGE"),
	TEXT("BM_SETIMAGE"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_INPUT_DEVICE_CHANGE"),
	TEXT("WM_INPUT"),
	TEXT("WM_KEYDOWN"),
	TEXT("WM_KEYUP"),
	TEXT("WM_CHAR"),
	TEXT("WM_DEADCHAR"),
	TEXT("WM_SYSKEYDOWN"),
	TEXT("WM_SYSKEYUP"),
	TEXT("WM_SYSCHAR"),
	TEXT("WM_SYSDEADCHAR"),
	TEXT("WM_YOMICHAR"),
	TEXT("WM_UNICHAR"),
	TEXT("WM_CONVERTREQUEST"),
	TEXT("WM_CONVERTRESULT"),
	TEXT("WM_IM_INFO"),
	TEXT("WM_IME_STARTCOMPOSITION"),
	TEXT("WM_IME_ENDCOMPOSITION"),
	TEXT("WM_IME_COMPOSITION"),
	TEXT("WM_INITDIALOG"),
	TEXT("WM_COMMAND"),
	TEXT("WM_SYSCOMMAND"),
	TEXT("WM_TIMER"),
	TEXT("WM_HSCROLL"),
	TEXT("WM_VSCROLL"),
	TEXT("WM_INITMENU"),
	TEXT("WM_INITMENUPOPUP"),
	TEXT("WM_SYSTIMER"),
	TEXT("WM_GESTURE"),
	TEXT("WM_GESTURENOTIFY"),
	TEXT("WM_GESTUREINPUT"),
	TEXT("WM_GESTURENOTIFIED"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_MENUSELECT"),
	TEXT("WM_MENUCHAR"),
	TEXT("WM_ENTERIDLE"),
	TEXT("WM_MENURBUTTONUP"),
	TEXT("WM_MENUDRAG"),
	TEXT("WM_MENUGETOBJECT"),
	TEXT("WM_UNINITMENUPOPUP"),
	TEXT("WM_MENUCOMMAND"),
	TEXT("WM_CHANGEUISTATE"),
	TEXT("WM_UPDATEUISTATE"),
	TEXT("WM_QUERYUISTATE"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_LBTRACKPOINT"),
	TEXT("WM_CTLCOLORMSGBOX"),
	TEXT("WM_CTLCOLOREDIT"),
	TEXT("WM_CTLCOLORLISTBOX"),
	TEXT("WM_CTLCOLORBTN"),
	TEXT("WM_CTLCOLORDLG"),
	TEXT("WM_CTLCOLORSCROLLBAR"),
	TEXT("WM_CTLCOLORSTATIC"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("CB_GETEDITSEL"),
	TEXT("CB_LIMITTEXT"),
	TEXT("CB_SETEDITSEL"),
	TEXT("CB_ADDSTRING"),
	TEXT("CB_DELETESTRING"),
	TEXT("CB_DIR"),
	TEXT("CB_GETCOUNT"),
	TEXT("CB_GETCURSEL"),
	TEXT("CB_GETLBTEXT"),
	TEXT("CB_GETLBTEXTLEN"),
	TEXT("CB_INSERTSTRING"),
	TEXT("CB_RESETCONTENT"),
	TEXT("CB_FINDSTRING"),
	TEXT("CB_SELECTSTRING"),
	TEXT("CB_SETCURSEL"),
	TEXT("CB_SHOWDROPDOWN"),
	TEXT("CB_GETITEMDATA"),
	TEXT("CB_SETITEMDATA"),
	TEXT("CB_GETDROPPEDCONTROLRECT"),
	TEXT("CB_SETITEMHEIGHT"),
	TEXT("CB_GETITEMHEIGHT"),
	TEXT("CB_SETEXTENDEDUI"),
	TEXT("CB_GETEXTENDEDUI"),
	TEXT("CB_GETDROPPEDSTATE"),
	TEXT("CB_FINDSTRINGEXACT"),
	TEXT("CB_SETLOCALE"),
	TEXT("CB_GETLOCALE"),
	TEXT("CB_GETTOPINDEX"),
	TEXT("CB_SETTOPINDEX"),
	TEXT("CB_GETHORIZONTALEXTENT"),
	TEXT("CB_SETHORIZONTALEXTENT"),
	TEXT("CB_GETDROPPEDWIDTH"),
	TEXT("CB_SETDROPPEDWIDTH"),
	TEXT("CB_INITSTORAGE"),
	TEXT("CB_MSGMAX_OLD"),
	TEXT("CB_MULTIPLEADDSTRING"),
	TEXT("CB_GETCOMBOBOXINFO"),
	TEXT("CB_MSGMAX"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("STM_SETICON"),
	TEXT("STM_GETICON"),
	TEXT("STM_SETIMAGE"),
	TEXT("STM_GETIMAGE"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("LB_ADDSTRING"),
	TEXT("LB_INSERTSTRING"),
	TEXT("LB_DELETESTRING"),
	TEXT("LB_SELITEMRANGEEX"),
	TEXT("LB_RESETCONTENT"),
	TEXT("LB_SETSEL"),
	TEXT("LB_SETCURSEL"),
	TEXT("LB_GETSEL"),
	TEXT("LB_GETCURSEL"),
	TEXT("LB_GETTEXT"),
	TEXT("LB_GETTEXTLEN"),
	TEXT("LB_GETCOUNT"),
	TEXT("LB_SELECTSTRING"),
	TEXT("LB_DIR"),
	TEXT("LB_GETTOPINDEX"),
	TEXT("LB_FINDSTRING"),
	TEXT("LB_GETSELCOUNT"),
	TEXT("LB_GETSELITEMS"),
	TEXT("LB_SETTABSTOPS"),
	TEXT("LB_GETHORIZONTALEXTENT"),
	TEXT("LB_SETHORIZONTALEXTENT"),
	TEXT("LB_SETCOLUMNWIDTH"),
	TEXT("LB_ADDFILE"),
	TEXT("LB_SETTOPINDEX"),
	TEXT("LB_GETITEMRECT"),
	TEXT("LB_GETITEMDATA"),
	TEXT("LB_SETITEMDATA"),
	TEXT("LB_SELITEMRANGE"),
	TEXT("LB_SETANCHORINDEX"),
	TEXT("LB_GETANCHORINDEX"),
	TEXT("LB_SETCARETINDEX"),
	TEXT("LB_GETCARETINDEX"),
	TEXT("LB_SETITEMHEIGHT"),
	TEXT("LB_GETITEMHEIGHT"),
	TEXT("LB_FINDSTRINGEXACT"),
	TEXT("LBCB_CARETON"),
	TEXT("LBCB_CARETOFF"),
	TEXT("LB_SETLOCALE"),
	TEXT("LB_GETLOCALE"),
	TEXT("LB_SETCOUNT"),
	TEXT("LB_INITSTORAGE"),
	TEXT("LB_ITEMFROMPOINT"),
	TEXT("LB_INSERTSTRINGUPPER"),
	TEXT("LB_INSERTSTRINGLOWER"),
	TEXT("LB_ADDSTRINGUPPER"),
	TEXT("LB_ADDSTRINGLOWER"),
	TEXT("LBCB_STARTTRACK"),
	TEXT("LBCB_ENDTRACK"),
	TEXT("LB_MSGMAX_OLD"),
	TEXT("LB_MULTIPLEADDSTRING"),
	TEXT("LB_GETLISTBOXINFO"),
	TEXT("LB_MSGMAX"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("MN_SETHMENU"),
	TEXT("MN_GETHMENU"),
	TEXT("MN_SIZEWINDOW"),
	TEXT("MN_OPENHIERARCHY"),
	TEXT("MN_CLOSEHIERARCHY"),
	TEXT("MN_SELECTITEM"),
	TEXT("MN_CANCELMENUS"),
	TEXT("MN_SELECTFIRSTVALIDITEM"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("MN_GETPPOPUPMENU"),
	TEXT("MN_FINDMENUWINDOWFROMPOINT"),
	TEXT("MN_SHOWPOPUPWINDOW"),
	TEXT("MN_BUTTONDOWN"),
	TEXT("MN_MOUSEMOVE"),
	TEXT("MN_BUTTONUP"),
	TEXT("MN_SETTIMERTOOPENHIERARCHY"),
	TEXT("MN_DBLCLK"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_MOUSEMOVE"),
	TEXT("WM_LBUTTONDOWN"),
	TEXT("WM_LBUTTONUP"),
	TEXT("WM_LBUTTONDBLCLK"),
	TEXT("WM_RBUTTONDOWN"),
	TEXT("WM_RBUTTONUP"),
	TEXT("WM_RBUTTONDBLCLK"),
	TEXT("WM_MBUTTONDOWN"),
	TEXT("WM_MBUTTONUP"),
	TEXT("WM_MBUTTONDBLCLK"),
	TEXT("WM_MOUSEWHEEL"),
	TEXT("WM_XBUTTONDOWN"),
	TEXT("WM_XBUTTONUP"),
	TEXT("WM_XBUTTONDBLCLK"),
	TEXT("WM_MOUSEHWHEEL"),
	TEXT("<undefined>"),
	TEXT("WM_PARENTNOTIFY"),
	TEXT("WM_ENTERMENULOOP"),
	TEXT("WM_EXITMENULOOP"),
	TEXT("WM_SIZING"),
	TEXT("WM_SIZING"),
	TEXT("WM_CAPTURECHANGED"),
	TEXT("WM_MOVING"),
	TEXT("<undefined>"),
	TEXT("WM_POWERBROADCAST"),
	TEXT("WM_DEVICECHANGE"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_MDICREATE"),
	TEXT("WM_MDIDESTROY"),
	TEXT("WM_MDIACTIVATE"),
	TEXT("WM_MDIRESTORE"),
	TEXT("WM_MDINEXT"),
	TEXT("WM_MDIMAXIMIZE"),
	TEXT("WM_MDITILE"),
	TEXT("WM_MDICASCADE"),
	TEXT("WM_MDIICONARRANGE"),
	TEXT("WM_MDIGETACTIVE"),
	TEXT("WM_DROPOBJECT"),
	TEXT("WM_QUERYDROPOBJECT"),
	TEXT("WM_BEGINDRAG"),
	TEXT("WM_DRAGLOOP"),
	TEXT("WM_DRAGSELECT"),
	TEXT("WM_DRAGMOVE"),
	TEXT("WM_MDISETMENU"),
	TEXT("WM_ENTERSIZEMOVE"),
	TEXT("WM_EXITSIZEMOVE"),
	TEXT("WM_DROPFILES"),
	TEXT("WM_MDIREFRESHMENU"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_TOUCH"),
	TEXT("<WM_TOUCH_reserved_241>"),
	TEXT("<WM_TOUCH_reserved_242>"),
	TEXT("<WM_TOUCH_reserved_243>"),
	TEXT("<WM_TOUCH_reserved_244>"),
	TEXT("<WM_TOUCH_reserved_245>"),
	TEXT("<WM_TOUCH_reserved_246>"),
	TEXT("<WM_TOUCH_reserved_247>"),
	TEXT("<WM_TOUCH_reserved_248>"),
	TEXT("<WM_TOUCH_reserved_249>"),
	TEXT("<WM_TOUCH_reserved_24a>"),
	TEXT("<WM_TOUCH_reserved_24b>"),
	TEXT("<WM_TOUCH_reserved_24c>"),
	TEXT("<WM_TOUCH_reserved_24d>"),
	TEXT("<WM_TOUCH_reserved_24e>"),
	TEXT("WM_TOUCHLAST"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_KANJIFIRST"),
	TEXT("WM_IME_SETCONTEXT"),
	TEXT("WM_IME_NOTIFY"),
	TEXT("WM_IME_CONTROL"),
	TEXT("WM_IME_COMPOSITIONFULL"),
	TEXT("WM_IME_SELECT"),
	TEXT("WM_IME_CHAR"),
	TEXT("WM_IME_SYSTEM"),
	TEXT("WM_IME_REQUEST"),
	TEXT("<WM_KANJI_reserved_289>"),
	TEXT("<WM_KANJI_reserved_28a>"),
	TEXT("<WM_KANJI_reserved_28b>"),
	TEXT("<WM_KANJI_reserved_28c>"),
	TEXT("<WM_KANJI_reserved_28d>"),
	TEXT("<WM_KANJI_reserved_28e>"),
	TEXT("<WM_KANJI_reserved_28f>"),
	TEXT("WM_IME_KEYDOWN"),
	TEXT("WM_IME_KEYUP"),
	TEXT("<WM_KANJI_reserved_292>"),
	TEXT("<WM_KANJI_reserved_293>"),
	TEXT("<WM_KANJI_reserved_294>"),
	TEXT("<WM_KANJI_reserved_295>"),
	TEXT("<WM_KANJI_reserved_296>"),
	TEXT("<WM_KANJI_reserved_297>"),
	TEXT("<WM_KANJI_reserved_298>"),
	TEXT("<WM_KANJI_reserved_299>"),
	TEXT("<WM_KANJI_reserved_29a>"),
	TEXT("<WM_KANJI_reserved_29b>"),
	TEXT("<WM_KANJI_reserved_29c>"),
	TEXT("<WM_KANJI_reserved_29d>"),
	TEXT("<WM_KANJI_reserved_29e>"),
	TEXT("WM_KANJILAST"),
	TEXT("WM_NCMOUSEHOVER"),
	TEXT("WM_MOUSEHOVER"),
	TEXT("WM_NCMOUSELEAVE"),
	TEXT("WM_MOUSELEAVE"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2a4>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2a5>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2a6>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2a7>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2a8>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2a9>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2aa>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2ab>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2ac>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2ad>"),
	TEXT("<WM_TRACKMOUSEEVENT__reserved_2ae>"),
	TEXT("WM_TRACKMOUSEEVENT_LAST"),
	TEXT("<undefined>"),
	TEXT("WM_WTSSESSION_CHANGE"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_TABLET_FIRST"),
	TEXT("<WM_TABLET__reserved_2c1>"),
	TEXT("<WM_TABLET__reserved_2c2>"),
	TEXT("<WM_TABLET__reserved_2c3>"),
	TEXT("<WM_TABLET__reserved_2c4>"),
	TEXT("<WM_TABLET__reserved_2c5>"),
	TEXT("<WM_TABLET__reserved_2c6>"),
	TEXT("<WM_TABLET__reserved_2c7>"),
	TEXT("<WM_TABLET__reserved_2c8>"),
	TEXT("<WM_TABLET__reserved_2c9>"),
	TEXT("<WM_TABLET__reserved_2ca>"),
	TEXT("<WM_TABLET__reserved_2cb>"),
	TEXT("<WM_TABLET__reserved_2cc>"),
	TEXT("<WM_TABLET__reserved_2cd>"),
	TEXT("<WM_TABLET__reserved_2ce>"),
	TEXT("<WM_TABLET__reserved_2cf>"),
	TEXT("<WM_TABLET__reserved_2d0>"),
	TEXT("<WM_TABLET__reserved_2d1>"),
	TEXT("<WM_TABLET__reserved_2d2>"),
	TEXT("<WM_TABLET__reserved_2d3>"),
	TEXT("<WM_TABLET__reserved_2d4>"),
	TEXT("<WM_TABLET__reserved_2d5>"),
	TEXT("<WM_TABLET__reserved_2d6>"),
	TEXT("<WM_TABLET__reserved_2d7>"),
	TEXT("<WM_TABLET__reserved_2d8>"),
	TEXT("<WM_TABLET__reserved_2d9>"),
	TEXT("<WM_TABLET__reserved_2da>"),
	TEXT("<WM_TABLET__reserved_2db>"),
	TEXT("<WM_TABLET__reserved_2dc>"),
	TEXT("<WM_TABLET__reserved_2dd>"),
	TEXT("<WM_TABLET__reserved_2de>"),
	TEXT("WM_TABLET_LAST"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_CUT"),
	TEXT("WM_COPY"),
	TEXT("WM_PASTE"),
	TEXT("WM_CLEAR"),
	TEXT("WM_UNDO"),
	TEXT("WM_RENDERFORMAT"),
	TEXT("WM_RENDERALLFORMATS"),
	TEXT("WM_DESTROYCLIPBOARD"),
	TEXT("WM_DRAWCLIPBOARD"),
	TEXT("WM_PAINTCLIPBOARD"),
	TEXT("WM_VSCROLLCLIPBOARD"),
	TEXT("WM_SIZECLIPBOARD"),
	TEXT("WM_ASKCBFORMATNAME"),
	TEXT("WM_CHANGECBCHAIN"),
	TEXT("WM_HSCROLLCLIPBOARD"),
	TEXT("WM_QUERYNEWPALETTE"),
	TEXT("WM_PALETTEISCHANGING"),
	TEXT("WM_PALETTECHANGED"),
	TEXT("WM_HOTKEY"),
	TEXT("WM_SYSMENU"),
	TEXT("WM_HOOKMSG"),
	TEXT("WM_EXITPROCESS"),
	TEXT("WM_WAKETHREAD"),
	TEXT("WM_PRINT"),
	TEXT("WM_PRINTCLIENT"),
	TEXT("WM_APPCOMMAND"),
	TEXT("WM_THEMECHANGED"),
	TEXT("WM_UAHINIT"),
	TEXT("WM_DESKTOPNOTIFY"),
	TEXT("WM_CLIPBOARDUPDATE"),
	TEXT("WM_DWMCOMPOSITIONCHANGED"),
	TEXT("WM_DWMNCRENDERINGCHANGED"),
	TEXT("WM_DWMCOLORIZATIONCOLORCHANGED"),
	TEXT("WM_DWMWINDOWMAXIMIZEDCHANGE"),
	TEXT("WM_DWMEXILEFRAME"),
	TEXT("WM_DWMSENDICONICTHUMBNAIL"),
	TEXT("WM_MAGNIFICATION_STARTED"),
	TEXT("WM_MAGNIFICATION_ENDED"),
	TEXT("WM_DWMSENDICONICLIVEPREVIEWBITMAP"),
	TEXT("WM_DWMTHUMBNAILSIZECHANGED"),
	TEXT("WM_MAGNIFICATION_OUTPUT"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_MEASURECONTROL"),
	TEXT("WM_GETACTIONTEXT"),
	TEXT("<WM_CE_ONLY__reserved_332>"),
	TEXT("WM_FORWARDKEYDOWN"),
	TEXT("WM_FORWARDKEYUP"),
	TEXT("<WM_CE_ONLY__reserved_335>"),
	TEXT("<WM_CE_ONLY__reserved_336>"),
	TEXT("<WM_CE_ONLY__reserved_337>"),
	TEXT("<WM_CE_ONLY__reserved_338>"),
	TEXT("<WM_CE_ONLY__reserved_339>"),
	TEXT("<WM_CE_ONLY__reserved_33a>"),
	TEXT("<WM_CE_ONLY__reserved_33b>"),
	TEXT("<WM_CE_ONLY__reserved_33c>"),
	TEXT("<WM_CE_ONLY__reserved_33d>"),
	TEXT("WM_CE_ONLY_LAST"),
	TEXT("WM_GETTITLEBARINFOEX"),
	TEXT("WM_NOTIFYWOW"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("<undefined>"),
	TEXT("WM_HANDHELDFIRST"),
	TEXT("<WM_HANDHELD_reserved_359>"),
	TEXT("<WM_HANDHELD_reserved_35a>"),
	TEXT("<WM_HANDHELD_reserved_35b>"),
	TEXT("<WM_HANDHELD_reserved_35c>"),
	TEXT("<WM_HANDHELD_reserved_35d>"),
	TEXT("<WM_HANDHELD_reserved_35e>"),
	TEXT("WM_HANDHELDLAST"),
	TEXT("WM_AFXFIRST"),
	TEXT("<WM_AFX_reserved_361>"),
	TEXT("<WM_AFX_reserved_362>"),
	TEXT("<WM_AFX_reserved_363>"),
	TEXT("<WM_AFX_reserved_364>"),
	TEXT("<WM_AFX_reserved_365>"),
	TEXT("<WM_AFX_reserved_366>"),
	TEXT("<WM_AFX_reserved_367>"),
	TEXT("<WM_AFX_reserved_368>"),
	TEXT("<WM_AFX_reserved_369>"),
	TEXT("<WM_AFX_reserved_36a>"),
	TEXT("<WM_AFX_reserved_36b>"),
	TEXT("<WM_AFX_reserved_36c>"),
	TEXT("<WM_AFX_reserved_36d>"),
	TEXT("<WM_AFX_reserved_36e>"),
	TEXT("<WM_AFX_reserved_36f>"),
	TEXT("<WM_AFX_reserved_370>"),
	TEXT("<WM_AFX_reserved_371>"),
	TEXT("<WM_AFX_reserved_372>"),
	TEXT("<WM_AFX_reserved_373>"),
	TEXT("<WM_AFX_reserved_374>"),
	TEXT("<WM_AFX_reserved_375>"),
	TEXT("<WM_AFX_reserved_376>"),
	TEXT("<WM_AFX_reserved_377>"),
	TEXT("<WM_AFX_reserved_378>"),
	TEXT("<WM_AFX_reserved_379>"),
	TEXT("<WM_AFX_reserved_37a>"),
	TEXT("<WM_AFX_reserved_37b>"),
	TEXT("<WM_AFX_reserved_37c>"),
	TEXT("<WM_AFX_reserved_37d>"),
	TEXT("<WM_AFX_reserved_37e>"),
	TEXT("WM_AFXLAST"),
	TEXT("WM_PENWINFIRST"),
	TEXT("<WM_PENWIN_reserved_381>"),
	TEXT("<WM_PENWIN_reserved_382>"),
	TEXT("<WM_PENWIN_reserved_383>"),
	TEXT("<WM_PENWIN_reserved_384>"),
	TEXT("<WM_PENWIN_reserved_385>"),
	TEXT("<WM_PENWIN_reserved_386>"),
	TEXT("<WM_PENWIN_reserved_387>"),
	TEXT("<WM_PENWIN_reserved_388>"),
	TEXT("<WM_PENWIN_reserved_389>"),
	TEXT("<WM_PENWIN_reserved_38a>"),
	TEXT("<WM_PENWIN_reserved_38b>"),
	TEXT("<WM_PENWIN_reserved_38c>"),
	TEXT("<WM_PENWIN_reserved_38d>"),
	TEXT("<WM_PENWIN_reserved_38e>"),
	TEXT("WM_PENWINLAST"),
	TEXT("WM_COALESCE_FIRST"),
	TEXT("<WM_COALESCE__reserved_391>"),
	TEXT("<WM_COALESCE__reserved_392>"),
	TEXT("<WM_COALESCE__reserved_393>"),
	TEXT("<WM_COALESCE__reserved_394>"),
	TEXT("<WM_COALESCE__reserved_395>"),
	TEXT("<WM_COALESCE__reserved_396>"),
	TEXT("<WM_COALESCE__reserved_397>"),
	TEXT("<WM_COALESCE__reserved_398>"),
	TEXT("<WM_COALESCE__reserved_399>"),
	TEXT("<WM_COALESCE__reserved_39a>"),
	TEXT("<WM_COALESCE__reserved_39b>"),
	TEXT("<WM_COALESCE__reserved_39c>"),
	TEXT("<WM_COALESCE__reserved_39d>"),
	TEXT("<WM_COALESCE__reserved_39e>"),
	TEXT("WM_COALESCE_LAST"),
	TEXT("WM_MM_RESERVED_FIRST"),
	TEXT("<WM_MM_RESERVED__reserved_3a1>"),
	TEXT("<WM_MM_RESERVED__reserved_3a2>"),
	TEXT("<WM_MM_RESERVED__reserved_3a3>"),
	TEXT("<WM_MM_RESERVED__reserved_3a4>"),
	TEXT("<WM_MM_RESERVED__reserved_3a5>"),
	TEXT("<WM_MM_RESERVED__reserved_3a6>"),
	TEXT("<WM_MM_RESERVED__reserved_3a7>"),
	TEXT("<WM_MM_RESERVED__reserved_3a8>"),
	TEXT("<WM_MM_RESERVED__reserved_3a9>"),
	TEXT("<WM_MM_RESERVED__reserved_3aa>"),
	TEXT("<WM_MM_RESERVED__reserved_3ab>"),
	TEXT("<WM_MM_RESERVED__reserved_3ac>"),
	TEXT("<WM_MM_RESERVED__reserved_3ad>"),
	TEXT("<WM_MM_RESERVED__reserved_3ae>"),
	TEXT("WM_COALESCE_LAST"),
	TEXT("WM_MM_RESERVED_FIRST"),
	TEXT("<WM_MM_RESERVED__reserved_3b1>"),
	TEXT("<WM_MM_RESERVED__reserved_3b2>"),
	TEXT("<WM_MM_RESERVED__reserved_3b3>"),
	TEXT("<WM_MM_RESERVED__reserved_3b4>"),
	TEXT("<WM_MM_RESERVED__reserved_3b5>"),
	TEXT("<WM_MM_RESERVED__reserved_3b6>"),
	TEXT("<WM_MM_RESERVED__reserved_3b7>"),
	TEXT("<WM_MM_RESERVED__reserved_3b8>"),
	TEXT("<WM_MM_RESERVED__reserved_3b9>"),
	TEXT("<WM_MM_RESERVED__reserved_3ba>"),
	TEXT("<WM_MM_RESERVED__reserved_3bb>"),
	TEXT("<WM_MM_RESERVED__reserved_3bc>"),
	TEXT("<WM_MM_RESERVED__reserved_3bd>"),
	TEXT("<WM_MM_RESERVED__reserved_3be>"),
	TEXT("<WM_MM_RESERVED__reserved_3bf>"),
	TEXT("<WM_MM_RESERVED__reserved_3c0>"),
	TEXT("<WM_MM_RESERVED__reserved_3c1>"),
	TEXT("<WM_MM_RESERVED__reserved_3c2>"),
	TEXT("<WM_MM_RESERVED__reserved_3c3>"),
	TEXT("<WM_MM_RESERVED__reserved_3c4>"),
	TEXT("<WM_MM_RESERVED__reserved_3c5>"),
	TEXT("<WM_MM_RESERVED__reserved_3c6>"),
	TEXT("<WM_MM_RESERVED__reserved_3c7>"),
	TEXT("<WM_MM_RESERVED__reserved_3c8>"),
	TEXT("<WM_MM_RESERVED__reserved_3c9>"),
	TEXT("<WM_MM_RESERVED__reserved_3ca>"),
	TEXT("<WM_MM_RESERVED__reserved_3cb>"),
	TEXT("<WM_MM_RESERVED__reserved_3cc>"),
	TEXT("<WM_MM_RESERVED__reserved_3cd>"),
	TEXT("<WM_MM_RESERVED__reserved_3ce>"),
	TEXT("<WM_MM_RESERVED__reserved_3cf>"),
	TEXT("<WM_MM_RESERVED__reserved_3d0>"),
	TEXT("<WM_MM_RESERVED__reserved_3d1>"),
	TEXT("<WM_MM_RESERVED__reserved_3d2>"),
	TEXT("<WM_MM_RESERVED__reserved_3d3>"),
	TEXT("<WM_MM_RESERVED__reserved_3d4>"),
	TEXT("<WM_MM_RESERVED__reserved_3d5>"),
	TEXT("<WM_MM_RESERVED__reserved_3d6>"),
	TEXT("<WM_MM_RESERVED__reserved_3d7>"),
	TEXT("<WM_MM_RESERVED__reserved_3d8>"),
	TEXT("<WM_MM_RESERVED__reserved_3d9>"),
	TEXT("<WM_MM_RESERVED__reserved_3da>"),
	TEXT("<WM_MM_RESERVED__reserved_3db>"),
	TEXT("<WM_MM_RESERVED__reserved_3dc>"),
	TEXT("<WM_MM_RESERVED__reserved_3dd>"),
	TEXT("<WM_MM_RESERVED__reserved_3de>"),
	TEXT("WM_MM_RESERVED_LAST"),
	TEXT("WM_DDE_INITIATE"),
	TEXT("WM_DDE_TERMINATE"),
	TEXT("WM_DDE_ADVISE"),
	TEXT("WM_DDE_UNADVISE"),
	TEXT("WM_DDE_ACK"),
	TEXT("WM_DDE_DATA"),
	TEXT("WM_DDE_REQUEST"),
	TEXT("WM_DDE_POKE"),
	TEXT("WM_DDE_EXECUTE"),
	TEXT("<WM_INTERNAL_DDE__reserved_3e9>"),
	TEXT("<WM_INTERNAL_DDE__reserved_3ea>"),
	TEXT("<WM_INTERNAL_DDE__reserved_3eb>"),
	TEXT("<WM_INTERNAL_DDE__reserved_3ec>"),
	TEXT("<WM_INTERNAL_DDE__reserved_3ed>"),
	TEXT("<WM_INTERNAL_DDE__reserved_3ee>"),
	TEXT("WM_INTERNAL_DDE_LAST"),
	TEXT("WM_CBT_RESERVED_FIRST"),
	TEXT("<WM_CBT_RESERVED__reserved_3f1>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f2>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f3>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f4>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f5>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f6>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f7>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f8>"),
	TEXT("<WM_CBT_RESERVED__reserved_3f9>"),
	TEXT("<WM_CBT_RESERVED__reserved_3fa>"),
	TEXT("<WM_CBT_RESERVED__reserved_3fb>"),
	TEXT("<WM_CBT_RESERVED__reserved_3fc>"),
	TEXT("WM_DBNOTIFICATION"),
	TEXT("WM_NETCONNECT"),
	TEXT("WM_HIBERNATE")
};
